-- Sources:
-- https://en.wikipedia.org/wiki/List_of_breads
-- https://en.wikipedia.org/wiki/List_of_buns
-- https://en.wikipedia.org/wiki/List_of_bread_rolls
grammar = {
  origin = {
    -- Major Arpana
    "0. Waffle",                        -- multiple openings, Fool
    "I. Wonut",                         -- embellished openings, Magician
    "II. Croissant",                    -- crescent, High Priestess
    "III. Pretzel",                     -- heart-shaped, Empress
    "IV. King's Day Bread",             -- rosca de reyes, Emperor
    "V. Brioche",                       -- from pain bénit, Hierophant
    "VI. Röggelchen",                   -- double roll, Lovers
    "VII. Horsebread",                  -- horses, Chariot
    "VIII. Lion Loaf",                  -- bread and loaf, Strength
    "IX. Mantou",                       -- eaten by travellers, Hermit
    "X. Butterkaka",                    -- rolled buns, Wheel of Fortune
    "XI. Cospia",                       -- two sections wound together, Justice
    "XII. Colaci",                      -- braided loop, Hanged Man
    "XIII. Bread of the Dead",          -- pan de muerto, Death
    "XIV. Capirotada",                  -- eaten during Lent, Temperance
    "XV. Hot & Spicy Cheese Bread",     -- has chili peppers, Devil
    "XVI. Bun Tower",                   -- 60' bamboo towers with buns, Tower
    "XVII. Putok",                      -- star bread, Star
    "XVIII. Kifli",                     -- crescent-shaped, Moon
    "XIX. Tahini Roll",                 -- spiral-shaped, Sun
    "XX. Cuerno",                       -- horn, Judgement
    "XXI. Vetekrans",                   -- wheat wreath, World
    -- Minor Arpana
    -- Sliced bread, swords/spades
    "Ace of Slice — Anadama",
    "Two of Slice — Chickpea",
    "Three of Slice — Cozonac",
    "Four of Slice — Graham",
    "Five of Slice — Pain de Mie",
    "Six of Slice — Paximathia",
    "Seven of Slice — Pumpkin",
    "Eight of Slice — Rye",
    "Nine of Slice — Salt-Rising",
    "Ten of Slice — Sepik",
    "Page of Slice — Spelt",
    "Knight of Slice — Sprouted",
    "Queen of Slice — Texas Toast",
    "King of Slice — Zwieback",
    -- Baguette, wands/batons/clubs
    "Ace of Baguette — Breadstick",
    "Two of Baguette — Breakfast Rolls",
    "Three of Baguette — Challah",
    "Four of Baguette — Cognou",
    "Five of Baguette — Fougasse",
    "Six of Baguette — Grissini",
    "Seven of Baguette — Hoagie Rolls",
    "Eight of Baguette — Marraqueta Tacneña",
    "Nine of Baguette — Mohnflesserl",
    "Ten of Baguette — Nudgers",
    "Page of Baguette — Samoon",
    "Knight of Baguette — Spuccadella",
    "Queen of Baguette — Shoti",
    "King of Baguette — Zopf",
    -- Bread bowl, cups/hearts
    "Ace of Bread Bowl — Anpan",
    "Two of Bread Bowl — Asado Rolls",
    "Three of Bread Bowl — Bialy",
    "Four of Bread Bowl — Cream Buns",
    "Five of Bread Bowl — Cruffins",
    "Six of Bread Bowl — Curry Bread",
    "Seven of Bread Bowl — Hoppang",
    "Eight of Bread Bowl — Lotus Seed Buns",
    "Nine of Bread Bowl — Melonpan",
    "Ten of Bread Bowl — Nikuman",
    "Page of Bread Bowl — Pan de Coco",
    "Knight of Bread Bowl — Pistolet",
    "Queen of Bread Bowl — Salapao",
    "King of Bread Bowl — Sufganiyah",
    -- Croutons, pentacles/coins/diamonds
    "Ace of Croutons — Bagel",
    "Two of Croutons — Bakarkhani",
    "Three of Croutons — Biscuits",
    "Four of Croutons — Broa",
    "Five of Croutons — Crackers",
    "Six of Croutons — Dampfnudel",
    "Seven of Croutons — Hardtacks",
    "Eight of Croutons — Kaiser Rolls",
    "Nine of Croutons — Kamir",
    "Ten of Croutons — Pandesal",
    "Page of Croutons — Roti Bolen",
    "Knight of Croutons — Sheermal",
    "Queen of Croutons — Shaobing",
    "King of Croutons — Teacakes",
  }
}
